#!/bin/sh
#
# Edit this for memory limits and environment variables
#

MAX_RAM=900
VM_SIZE=160
PERM_SIZE=24

HEAP_SIZE=$(($MAX_RAM - $PERM_SIZE - $VM_SIZE))

#CSPFJ_HOME=../../cspfj/bin
#JAVA_HOME=
#CLASSPATH=$CLASSPATH:$CSPFJ_HOME:$CSPOM_HOME:../lib/commons-cli.jar:../lib/jel.jar

if [ -f $JAVA_HOME/bin/java ] ; then
	COMMAND=$JAVA_HOME/bin/java
else
	COMMAND=java
fi

#if (( $# > 0 )) ; then
	if [ $1 = "-ea" ] ; then
		COMMAND="$COMMAND -ea"
		shift
	fi
#fi


COMMAND="$COMMAND -Xmx${HEAP_SIZE}M -XX:MaxPermSize=${PERM_SIZE}M -Xss1M -Djava.library.path=/usr/local/lib"
